summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Strahil Yordanov <strahilski@yahoo.com>2016-08-10 23:21:54 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-13 07:22:19 +0700
commit25f95cf14706ee9a9ae54b752e3f00c74f3d7a3d (patch)
tree7073d600e9db22896b8be1eab134e564663e120a
parent17746666ddca609ceea64b258ec77d97f521a628 (diff)
downloadslackbuilds-25f95cf14706ee9a9ae54b752e3f00c74f3d7a3d.tar.gz
slackbuilds-25f95cf14706ee9a9ae54b752e3f00c74f3d7a3d.tar.xz
development/openjdk8: Added (Open Implementation of JDK).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--development/openjdk8/README21
-rw-r--r--development/openjdk8/cacertsbin0 -> 192567 bytes
-rw-r--r--development/openjdk8/openjdk8.SlackBuild123
-rw-r--r--development/openjdk8/openjdk8.info26
-rw-r--r--development/openjdk8/profile.d/openjdk8.csh4
-rw-r--r--development/openjdk8/profile.d/openjdk8.sh4
-rw-r--r--development/openjdk8/slack-desc19
7 files changed, 197 insertions, 0 deletions
diff --git a/development/openjdk8/README b/development/openjdk8/README
new file mode 100644
index 0000000000..b6f0ba7759
--- /dev/null
+++ b/development/openjdk8/README
@@ -0,0 +1,21 @@
+OpenJDK 8 is an open source implementation of version 8 of the
+Java Development Kit, Standard Edition. It includes tools for developing,
+testing, and running programs written in Java.
+
+Before installing this package please consider any other jdk's/jre's that you
+have already installed as they may cause conflicts with the PATH, JAVA_HOME
+and MANPATH variables (this includes the 'openjdk' dependency package -- you
+may wish to remove it after you're done.)
+
+After installing the package you will need to logout/reboot your machine
+as it will add new files to the /etc/profile.d folder.
+
+This script may take a couple of hours to complete and will require
+about 11 GB of disk space for its temporary directory. It defaults to
+"/tmp/SBo" and you may redefine it like this:
+
+TMP=/your/temporary/dir ./openjdk8.SlackBuild
+
+The 'cacerts' binary is a keystore containing CA certificates which
+are used by Java applications. It is taken from the CentOS package
+'ca-certificates-2015.2.4-65.0.1.el6_6.noarch.rpm'.
diff --git a/development/openjdk8/cacerts b/development/openjdk8/cacerts
new file mode 100644
index 0000000000..3c6ae3e526
--- /dev/null
+++ b/development/openjdk8/cacerts
Binary files differ
diff --git a/development/openjdk8/openjdk8.SlackBuild b/development/openjdk8/openjdk8.SlackBuild
new file mode 100644
index 0000000000..d5a688452a
--- /dev/null
+++ b/development/openjdk8/openjdk8.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/sh
+
+# Slackware build script for OpenJDK
+
+# Copyright 2016 Strahil Yordanov, Sofia, Bulgaria
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=openjdk8
+VERSION=${VERSION:-8u101b13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DVER=1.8.0_$(printf $VERSION | cut -du -f2)
+ICEDTEA=icedtea-3.1.0
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm; echo "Unsupported arch $ARCH"; exit 1;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD="$(pwd)"
+TMP=${TMP:-/tmp/SBo}
+BUILD_DIR=$TMP/$PRGNAM
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIB_ARCH=amd64
+ LIBDIRSUFFIX="64"
+else
+ LIB_ARCH=i386
+ LIBDIRSUFFIX=""
+fi
+
+BOOT_JAVA=/usr/lib${LIBDIRSUFFIX}/openjdk
+
+set -e
+
+rm -rf $BUILD_DIR $PKG
+mkdir -p $TMP $BUILD_DIR $PKG $OUTPUT
+cd $BUILD_DIR
+
+tar -xvf $CWD/${ICEDTEA}.tar.xz
+
+mkdir icedtea-build
+cd icedtea-build
+
+# Set JAVA_HOME in order to avoid conflictis with other already installed JVMs.
+# cacerts taken from this CentOS package:
+# http://mirror.centos.org/centos/6/os/x86_64/Packages/ca-certificates-2015.2.4-65.0.1.el6_6.noarch.rpm
+JAVA_HOME=${BOOT_JAVA} PATH=${BOOT_JAVA}/bin:$PATH \
+ ../$ICEDTEA/configure \
+ --with-jdk-home=${BOOT_JAVA} \
+ --disable-docs \
+ --disable-downloading \
+ --with-cacerts-file="$CWD/cacerts" \
+ --with-openjdk-src-zip="$CWD/openjdk.tar.xz" \
+ --with-corba-src-zip="$CWD/corba.tar.xz" \
+ --with-jaxp-src-zip="$CWD/jaxp.tar.xz" \
+ --with-jaxws-src-zip="$CWD/jaxws.tar.xz" \
+ --with-jdk-src-zip="$CWD/jdk.tar.xz" \
+ --with-langtools-src-zip="$CWD/langtools.tar.xz" \
+ --with-nashorn-src-zip="$CWD/nashorn.tar.xz" \
+ --with-hotspot-src-zip="$CWD/hotspot.tar.xz"
+
+JAVA_HOME=${BOOT_JAVA} PATH=${BOOT_JAVA}/bin:$PATH LOG=trace make
+
+cd $PKG
+mkdir -p usr/lib${LIBDIRSUFFIX}
+cd usr/lib${LIBDIRSUFFIX}
+cp -av $BUILD_DIR/icedtea-build/openjdk.build/images/j2sdk-image/ $PRGNAM
+
+chown -R root.root $PKG
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/etc/profile.d
+for file in $(ls "$CWD/profile.d/${PRGNAM}"*) ; do
+ cat $file | sed -e "s#lib/openjdk#lib${LIBDIRSUFFIX}/openjdk#" \
+ > $PKG/etc/profile.d/$(basename $file)
+done
+chmod 755 $PKG/etc/profile.d/*
+
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -sf $PRGNAM ${PRGNAM}${DVER}
+)
+
+cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -sf ./$PRGNAM/jre/lib/${LIB_ARCH}/server/libjvm.so .
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/{THIRD_PARTY_README,LICENSE,ASSEMBLY_EXCEPTION} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/openjdk8/openjdk8.info b/development/openjdk8/openjdk8.info
new file mode 100644
index 0000000000..d806365522
--- /dev/null
+++ b/development/openjdk8/openjdk8.info
@@ -0,0 +1,26 @@
+PRGNAM="openjdk8"
+VERSION="8u101b13"
+HOMEPAGE="http://openjdk.java.net"
+DOWNLOAD="http://icedtea.classpath.org/download/source/icedtea-3.1.0.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.1.0/openjdk.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.1.0/corba.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.1.0/jaxp.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.1.0/jaxws.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.1.0/jdk.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.1.0/langtools.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.1.0/nashorn.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.1.0/hotspot.tar.xz"
+MD5SUM="9507d90a1e4773690a18143eaca13f25 \
+ 1b9b9e9102abfc387acb4d244580fb9a \
+ d697eb0b8df5ee5242768be1678f1684 \
+ a3cbe28e27ebff38c8475ecae56ad446 \
+ 92da27a8622b92ee60ca67452f695927 \
+ e2143b152be03f3ec66313294606c100 \
+ 39c75541d8bbe9be9cfd7f58c0950641 \
+ 3c266698f3b192fd5616ce9548d1ead2 \
+ d4d70521fee922201c309a64be22b239"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="openjdk"
+MAINTAINER="Strahil Yordanov"
+EMAIL="strahilski@yahoo.com"
diff --git a/development/openjdk8/profile.d/openjdk8.csh b/development/openjdk8/profile.d/openjdk8.csh
new file mode 100644
index 0000000000..960fe486b2
--- /dev/null
+++ b/development/openjdk8/profile.d/openjdk8.csh
@@ -0,0 +1,4 @@
+#!/bin/csh
+setenv JAVA_HOME /usr/lib/openjdk8
+setenv MANPATH ${MANPATH}:${JAVA_HOME}/man
+setenv PATH ${PATH}:${JAVA_HOME}/bin:${JAVA_HOME}/jre/bin
diff --git a/development/openjdk8/profile.d/openjdk8.sh b/development/openjdk8/profile.d/openjdk8.sh
new file mode 100644
index 0000000000..378a2428d0
--- /dev/null
+++ b/development/openjdk8/profile.d/openjdk8.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+export JAVA_HOME=/usr/lib/openjdk8
+export MANPATH="${MANPATH}:${JAVA_HOME}/man"
+export PATH="${PATH}:${JAVA_HOME}/bin:${JAVA_HOME}/jre/bin"
diff --git a/development/openjdk8/slack-desc b/development/openjdk8/slack-desc
new file mode 100644
index 0000000000..49d635ed6c
--- /dev/null
+++ b/development/openjdk8/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+openjdk8: openjdk8 (Open Implementation of JDK)
+openjdk8:
+openjdk8: OpenJDK 8 is an open source implementation of version 8 of the
+openjdk8: Java Development Kit, Standard Edition. It includes tools for
+openjdk8: developing, testing, and running programs written in Java.
+openjdk8:
+openjdk8:
+openjdk8:
+openjdk8:
+openjdk8:
+openjdk8: